
import TeamPursuit.*;

public class TeamPursuitSimulation {
	
	// Default Strategies for the Mens Team Pursuit
	static final boolean [] DEFAULT_MENS_TRANSITION_STRATEGY = {true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false};
	static final int [] DEFAULT_MENS_PACING_STRATEGY = {550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550};
	
	// Default Strategies for the Mens Team Pursuit
	static final boolean [] DEFAULT_WOMENS_TRANSITION_STRATEGY = {true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false};
	static final int [] DEFAULT_WOMENS_PACING_STRATEGY = {400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400, 400};

	public static void main(String[] args) {
		
		// Variable to store simulation results
		SimulationResult result = null;
		
		// Create a MensTeamPursuit object
		WomensTeamPursuit womensTeamPursuit = new WomensTeamPursuit();
				
		// Simulate event with the default strategies
		try {
			result = womensTeamPursuit.simulate(DEFAULT_WOMENS_TRANSITION_STRATEGY, DEFAULT_WOMENS_PACING_STRATEGY);
		} catch (Exception e) {
			e.printStackTrace();
		}
				
		// Print out simulation results
		System.out.println(result.toString());
		
		// Create a MensTeamPursuit object
		MensTeamPursuit mensTeamPursuit = new MensTeamPursuit();
		
		// Simulate event with the default strategies
		try {
			result = mensTeamPursuit.simulate(DEFAULT_MENS_TRANSITION_STRATEGY, DEFAULT_MENS_PACING_STRATEGY);
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		// Print out simulation results
		System.out.println(result.toString());
	}

}
